#ifndef __XCREATIONEDITOR_G__
#define __XCREATIONEDITOR_G__

#include "XObject.h"

class XCreationEditor : public XEditor
{
public:
	void Init( XCollection* pScene, XObject* pObject );

	~XCreationEditor();

	virtual bool OnMouseDown( const XPoint& pos );
	virtual bool OnRightClick( const XPoint& pos );

	virtual bool OnMouseMove( const XPoint& pos );

	void CancelCreation();

protected:

	XObject* mpObject;
	XEditor* mpPrevEditor;

	void DetachFromScene();
};


#endif